> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kraken.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Funding Address

> Save a withdrawal address to the account for a funding method, network, or network group. See
[Adding a withdrawal address](/exchange/guides/rest/funding#section-1-adding-a-withdrawal-address) for how
those scopes work.

**API Key Permissions Required:** `Funds permissions - Add withdrawal addresses`



## OpenAPI

````yaml /openapi/funding-beta.yaml post /funding/v1/addresses
openapi: 3.0.0
info:
  title: Funding REST API (Beta)
  version: 1.0.0
  description: >-
    Beta Funding e-API endpoints for deposits, withdrawals, addresses, methods,
    limits, and fees.
servers:
  - url: https://api.kraken.com
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
    API-Nonce: []
  - API-Key: []
    API-Sign: []
    API-Nonce: []
    API-OTP: []
tags:
  - name: funding-beta
    x-group: Funding (Beta)
paths:
  /funding/v1/addresses:
    post:
      tags:
        - funding-beta
      summary: Create Funding Address
      description: >-
        Save a withdrawal address to the account for a funding method, network,
        or network group. See

        [Adding a withdrawal
        address](/exchange/guides/rest/funding#section-1-adding-a-withdrawal-address)
        for how

        those scopes work.


        **API Key Permissions Required:** `Funds permissions - Add withdrawal
        addresses`
      operationId: createFundingAddressV1
      parameters:
        - in: query
          name: account_id
          description: Account ID
          schema:
            type: string
          x-selected-account: true
          style: form
      requestBody:
        content:
          application/json:
            schema:
              description: >-
                Request to create a withdrawal address for a given network
                group, network

                or funding method.
              type: object
              properties:
                scope:
                  oneOf:
                    - type: object
                      properties:
                        method_id:
                          description: Funding method defining the scope.
                          type: string
                          pattern: >-
                            ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                      title: method_id
                    - type: object
                      properties:
                        network_id:
                          description: Network defining the scope.
                          type: string
                          pattern: >-
                            ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                      title: network_id
                    - type: object
                      properties:
                        network_group_id:
                          description: Network group defining the scope.
                          type: string
                          pattern: >-
                            ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$
                      title: network_group_id
                address_details:
                  oneOf:
                    - type: object
                      properties:
                        crypto:
                          description: Crypto address details.
                          type: object
                          properties:
                            address:
                              description: Crypto address.
                              type: string
                              minLength: 1
                            tag:
                              description: >-
                                Optional destination tag for the withdrawal
                                address. Only used on blockchains that allow a
                                tag

                                or memo. `tag` and `memo` are both accepted. If
                                you send `tag` but the method or network uses

                                `memo`, [List Funding
                                Addresses](/api-reference/funding-beta/list-funding-addresses)
                                returns the

                                value as `memo`, and the other way around.
                              type: string
                            memo:
                              description: >-
                                Optional memo for the withdrawal address. Only
                                used on blockchains that allow a tag or memo.

                                `tag` and `memo` are both accepted. If you send
                                `memo` but the method or network uses `tag`,

                                [List Funding
                                Addresses](/api-reference/funding-beta/list-funding-addresses)
                                returns the value as

                                `tag`, and the other way around.
                              type: string
                      title: crypto
                name:
                  description: >-
                    User provided name for the address. Must be unique and
                    contain at least one non-whitespace

                    character. Surrounding whitespace is removed.
                  type: string
                  minLength: 1
                description:
                  description: User provided description of the address.
                  type: string
              required:
                - scope
                - address_details
                - name
              example:
                scope:
                  network_id: d9d375da-44b7-4be1-8a00-8b281acfe366
                address_details:
                  crypto:
                    address: 0xBef7B36845cA31045E86D0B46DBCac4e6752...
                name: Personal Wallet
                description: My hardware wallet address
            example:
              scope:
                network_id: d9d375da-44b7-4be1-8a00-8b281acfe366
              address_details:
                crypto:
                  address: 0xBef7B36845cA31045E86D0B46DBCac4e6752...
              name: Personal Wallet
              description: My hardware wallet address
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  address_id:
                    description: Unique identifier of the created address.
                    type: string
                    pattern: ^AB[a-zA-Z0-9]{5}-[a-zA-Z0-9]{5}-[a-zA-Z0-9]{6}$
                  verified:
                    description: Whether the address is verified and ready for use.
                    type: boolean
                required:
                  - address_id
                  - verified
              example:
                address_id: AB7J4FF-BGM7G-V2JMIH
                verified: true
      security:
        - API-Key: []
          API-Sign: []
          API-Nonce: []
        - API-Key: []
          API-Sign: []
          API-Nonce: []
          API-OTP: []
components:
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header
    API-Nonce:
      type: apiKey
      description: >-
        The "API-Nonce" header should contain an always-increasing 64-bit
        integer, most commonly a Unix timestamp in milliseconds. Each request
        must use a nonce greater than the nonce of the previous request signed
        with the same API key.
      name: API-Nonce
      in: header
    API-OTP:
      type: apiKey
      description: >-
        The "API-OTP" header should contain your two-factor authentication
        one-time password. Required only if 2FA is configured for the API key.
      name: API-OTP
      in: header

````